<?php
namespace ThurData\Servers\KerioEmail\App\UI\Client\Setting\Forms;

use ThurData\Servers\KerioEmail\App\Traits\FormExtendedTrait;
use ThurData\Servers\KerioEmail\Core\UI\Traits\FormDataProvider;
use ThurData\Servers\KerioEmail\App\UI\Client\Setting\Providers\InfoSettingDataProvider;
use ThurData\Servers\KerioEmail\Core\UI\Interfaces\ClientArea;
use ThurData\Servers\KerioEmail\App\UI\Admin\Custom\Forms\SortedFieldForm;
use ThurData\Servers\KerioEmail\App\UI\Client\Setting\Sections\AdditionalSection;
use ThurData\Servers\KerioEmail\App\UI\Client\Setting\Sections\GeneralSection;
use ThurData\Servers\KerioEmail\Core\UI\Widget\Forms\FormConstants;
use function ThurData\Servers\KerioEmail\Core\Helper\di;

class InfoForm extends SortedFieldForm implements ClientArea
{
    use FormExtendedTrait;
    use FormDataProvider;

    public function initContent()
    {
        $this->initIds('infoForm');
        $this->setFormType(FormConstants::READ);
        $this->setProvider(new InfoSettingDataProvider());
        $this->initFields();
        $this->loadDataToForm();
    }

    public function getAllowedActions()
    {
        return ['info'];
    }

    private function initFields()
    {
        $this->addSection(new GeneralSection());
        $this->addSection(new AdditionalSection());

    }
}